io.vertx.rxjava.ext.shell.cli

## Class Completion

- java.lang.Object
- - io.vertx.rxjava.ext.shell.cli.Completion

-     public class Completion
      extends Object

  The completion object

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Completion(Completion delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(List<String> candidates)` End the completion with a list of candidates, these candidates will be displayed by the shell on the console.
    `void` | `complete(String value, boolean terminal)` End the completion with a value that will be inserted to complete the line.
    `Object` | `getDelegate()`
    `List<CliToken>` | `lineTokens()`
    `static Completion` | `newInstance(Completion arg)`
    `String` | `rawLine()`
    `Session` | `session()`
    `Vertx` | `vertx()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Completion

          public Completion(Completion delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### vertx

          public Vertx vertx()

      Returns:
        the current Vert.x instance

    - #### session

          public Session session()

      Returns:
        the shell current session, useful for accessing data like the current path for file completion, etc...

    - #### rawLine

          public String rawLine()

      Returns:
        the current line being completed in raw format, i.e without any char escape performed

    - #### lineTokens

          public List<CliToken> lineTokens()

      Returns:
        the current line being completed as preparsed tokens

    - #### complete

          public void complete(List<String> candidates)

      End the completion with a list of candidates, these candidates will be displayed by the shell on the console.
      Parameters:
        `candidates` - the candidates

    - #### complete

          public void complete(String value,
                               boolean terminal)

      End the completion with a value that will be inserted to complete the line.
      Parameters:
        `value` - the value to complete with
        `terminal` - true if the value is terminal, i.e can be further completed

    - #### newInstance

          public static Completion newInstance(Completion arg)

Copyright © 2016. All rights reserved.